Download it now!
Bug 129599 - Add Redaction action items into main menu in Draw
Summary: Add Redaction action items into main menu in Draw
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks: Main-Menu Redaction
  Show dependency treegraph
 
Reported: 2019-12-24 10:13 UTC by Roman Kuznetsov
Modified: 2020-02-10 09:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-12-24 10:13:25 UTC
Description:
Add Redaction action items into main menu in Draw.

Now we can use Redaction functions only from Redaction toolbar and we don't have any Redaction action items in main menu. 
If I understand right then it's wrong and our HiG says us all actions should be in main menu.

I suggset add Redaction item to Tools main menu with submenu like bottom:

Redaction - 
            Rectangle Redaction
            Freeform Redaction
            --------------------
            Redacted Export (white)
            Redacted Export (black)
            Export Directly to PDF

Steps to Reproduce:
1. Use Redaction mechanism from Writer/Calc
2. After Draw opening try make Redaction without its toolbar

Actual Results:
we don't have Redaction action items in Draw main menu

Expected Results:
we have Redaction action items in Draw main menu


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 42a1a1c6b91907f81e15066ffab219411f18c4db
Потоков ЦП: 4; ОС:Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 1 Muhammet Kara 2019-12-25 13:13:03 UTC
I think this might unnecessarily bloat the main menu. Besides that, the redaction toolbar is usable in Draw only as a side-effect (a good side-effect IMHO).

And when you come to Draw via the Redact command in Writer, Calc or Impress, there are some small things done, like freezing the content to prevent accidental changes during redaction.
Comment 2 V Stuart Foote 2019-12-25 14:48:11 UTC
Redaction was implemented as a feature for Writer, Calc and Impress (to save a copy to Draw ODG for flattening and visual redaction). 

The redaction functions _can_ also be applied to any existing Draw document session, but currently only by activating the Redaction toolbar.

Of course Auto redaction is not available (but probably ought be to to handle text entries in Draw text box objects, and Fontwork).

Don't know if it would be as simple as just adding an entry to the Tools menu, the UNO control might have to be modified if it currently opens a new Draw instance while opening the 'Redaction' toolbar.  

Rather than the current controls (Redact, Auto-Redact) on the other modules, a Tools menu entry for Draw might simply open the Redact toolbar (same as the View -> Toolbars entry).

Either case, +1 for the addition to Draw's Tools menu.
Comment 3 Heiko Tietze 2020-01-06 20:41:12 UTC
Alternative input methods are needed for accessibility reason. So +1.
Comment 4 Muhammet Kara 2020-02-04 21:17:08 UTC
Please go ahead. +1

The definition for the redaction toolbar: sd/uiconfig/sdraw/toolbar/redactionbar.xml

The definition for the Draw's menubar: sd/uiconfig/sdraw/menubar/menubar.xml
Comment 5 Commit Notification 2020-02-10 09:05:45 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c060c80496429d59bb6f158c44957d853dccb06c

tdf#129599:Add Redaction action items into main menu in Draw

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.